import request from "@/utils/request";

// 创建WMS 仓库 仓库区域
export function createStockArea(data) {
    return request({
        url: "/rtkwms/stock-area/create",
        method: "post",
        data: data,
    });
}

// 更新WMS 仓库 仓库区域
export function updateStockArea(data) {
    return request({
        url: "/rtkwms/stock-area/update",
        method: "put",
        data: data,
    });
}

// 删除WMS 仓库 仓库区域
export function deleteStockArea(id) {
    return request({
        url: "/rtkwms/stock-area/delete?id=" + id,
        method: "delete",
    });
}

// 获得WMS 仓库 仓库区域
export function getStockArea(id) {
    return request({
        url: "/rtkwms/stock-area/get?id=" + id,
        method: "get",
    });
}
// 获得WMS 仓库 仓库区域列表
export function getStockAreaList(query) {
    return request({
        url: "/rtkwms/stock-location/list",
        method: "get",
        params: query,
    });
}
// 获得WMS 仓库 仓库区域下拉列表
export function getStockAreadropDownList(query) {
    return request({
        url: "/rtkwms/stock-area/dropDownList",
        method: "get",
        params: query,
    });
}

// 获得WMS 仓库 仓库区域分页
export function getStockAreaPage(query) {
    return request({
        url: "/rtkwms/stock-area/page",
        method: "get",
        params: query,
    });
}

// 导出WMS 仓库 仓库区域 Excel
export function exportStockAreaExcel(query) {
    return request({
        url: "/rtkwms/stock-area/export-excel",
        method: "get",
        params: query,
        responseType: "blob",
    });
}